JobBag v6 is Mavericks compatible

Operating systems give and they take away…  One of the key things about keeping up with new technology is that old technology may not work with it, and that applies to old versions of software, including old versions like JobBag v4.

When released in 2005, JobBag v4 was right up to date and had features that others have tried to emulate.  However 9 years down the track the end of the road has arrived for v4 if you want to use it on Mac OS 10.9 or later.  Simply put, key things like connecting to the database, emailing and getting updates will not work as the necessary technology no longer exists in Mac OS X 10.9 “Mavericks”.

JobBag v6 is compatible with Mac OS X Mavericks.  If you are intending to buy a new Mac, they all come with Mac OS X 10.9 “Mavericks”, so you will need to upgrade to JobBag v6.

JobBag v6 comes with a SaaS license (software as a service) which means you will continue to get all the latest versions of JobBag as they are released included in the monthly license fee.  There is also a JobBag Complete license fee option that includes all training and support on current and future versions in the one monthly fee.

JobBag v5 clients with a SaaS license are provided with JobBag v6.  Contact us for more information.


Facebooktwittergoogle_pluslinkedinmailby feather
Posted in Blog